# Reserve Plans

## Endpoints

### Create a ReservePlan

- [POST /v1/reserve/plans](https://docs.stripe.com/api/reserve/plan/create.md)

### Update a ReservePlan

- [POST /v1/reserve/plans/:id](https://docs.stripe.com/api/reserve/plan/update.md)

### Retrieve a ReservePlan

- [GET /v1/reserve/plans/:id](https://docs.stripe.com/api/reserve/plan/retrieve.md)

### List ReservePlans

- [GET /v1/reserve/plans](https://docs.stripe.com/api/reserve/plan/list.md)

### Disable a ReservePlan

- [POST /v1/reserve/plans/:id/disable](https://docs.stripe.com/api/reserve/plan/disable.md)

## Events

- `reserve.plan.created`
Occurs when a reserve plan is created.

- `reserve.plan.disabled`
Occurs when a reserve plan is disabled.

- `reserve.plan.expired`
Occurs when a reserve plan expires.

- `reserve.plan.updated`
Occurs when a reserve plan is updated.

ReservePlans are used to automatically place holds on a merchant’s funds until the plan expires.       It takes a portion of each incoming Charge (including those resulting from a Transfer from a platform account).
